Page MenuHomePhabricator

Delete type_sp member from TypePair
ClosedPublic

Authored by labath on Mar 13 2019, 7:01 AM.

Details

Summary

As discussed in the review of D59217, this member is unnecessary since
always the first thing we do is convert it to a CompilerType.

This opens up possibilities for further cleanups (e.g. the whole
TypePair class now loses purpose, since we can just pass around
CompilerType everywhere), but I did not want to do that yet, because I
am not sure if this will not introduce breakages in some of the
platforms/configurations that I am not testing on.

Diff Detail

Repository
rL LLVM

Event Timeline

labath created this revision.Mar 13 2019, 7:01 AM
clayborg accepted this revision.Mar 14 2019, 11:57 AM
This revision is now accepted and ready to land.Mar 14 2019, 11:57 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 15 2019, 7:01 AM